/***************************************************
* FUNCTION NAME: dbDescribe for Q+E Database Library
*
* SYNOPSIS:
*     get column description info
***************************************************/
int dbDescribe(int ColumnPos,
		   struct ColumnDesc *col,
		   REQUEST rq)
{
char    far *name;
int       Status;

	col->namelen = NAMELENGTH;
	col->data_type = 0;
	col->length = 0;
	col->scale = 0;
	strcpy(col->fldname,"   ");

	 /* get the column name, type, width, etc. */
	name = qeColName ( rq->hstmt, ColumnPos );
	Status = qeErr();
	if (Status == SQL_SUCCESS)
		{
		strcpy(col->fldname,name);
		}
	else return Status;

			  /* get the column type */
	col->data_type = qeColType ( rq->hstmt, 
				  ColumnPos );
	Status = qeErr();
	if (Status != SQL_SUCCESS)
		return Status;

			  /* get the column width */
	col->length = qeColWidth ( rq->hstmt,
				  ColumnPos );
	Status = qeErr();
	if (Status == SQL_SUCCESS)
		{
		if (col->data_type == CHARACTER)
			--col->length;
		}
	else return Status;

	if (col->data_type == DECIMAL)
		{
		col->scale = qeColScale ( rq->hstmt,
				    ColumnPos );
		Status = qeErr();
		if (Status != SQL_SUCCESS)
			return Status;
		}

	return SQL_SUCCESS;
}

